Subject: [BUG] "--show-current-patch" return a mail instead of a patch

From: Jerome Pouiller <[email-masked]>
Date: Tue, 22 Oct 2019 10:18:03 +0000

Hello all,

I try to use "git am" to apply a patch sent using "git send-email". This
patch does not apply properly. I try to use "git am --show-current-patch"
to understand the problem. However, since original mail is encoded in quoted-
printable, data returned by --show-current-patch is not a valid patch.

I expected that --show-current-patch would return decoded version of original 
mail or something that looks like the output of "git format-patch" or at least 
a valid patch. Thus, it could be processed with "git apply" or "patch".

Currently I run "git mailinfo" manually to get the patch, but it is not very 
handy.

(I use git version 2.20.1 from Debian buster)

Thank you,

-- 
Jérôme Pouiller